﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="jadwal_mobile.Views.RegisterView"
             BackgroundColor="#007FFF"
             xmlns:local="clr-namespace:jadwal_mobile"
             xmlns:utils="clr-namespace:jadwal_mobile.Utils"
             xmlns:viewModels="clr-namespace:jadwal_mobile.ViewModels">
    <ContentPage.BindingContext>
        <viewModels:RegisterViewModel/>
    </ContentPage.BindingContext>
    <ContentPage.Content>
        <Grid VerticalOptions="FillAndExpand">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="180"/>
            </Grid.RowDefinitions>
            <Image Grid.Row="1" Source="register_decor.png"
                   HeightRequest="200"
                   VerticalOptions="EndAndExpand"
                   Margin="0,0,0,-20"/>
            <Frame Grid.Row="2" BackgroundColor="White" CornerRadius="30" HeightRequest="10" Margin="0,0,0,-30" Padding="20,-30,20,-10">
                <ScrollView x:Name="MainScroll" VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" Margin="0,0,0,30">
                    <StackLayout Orientation="Vertical"
                             HorizontalOptions="FillAndExpand"
                             VerticalOptions="Center">
                        <Label Text="Buat Akun" TextColor="Black" HorizontalOptions="Center" FontSize="30" Margin="0,0,0,10"/>
                        
                        <Label Text="Nama Lengkap" TextColor="Black" HorizontalOptions="Start" FontAttributes="Bold" FontSize="15"/>
                        <Entry Text="{Binding FullName}" Placeholder="Masukkan nama lengkap" x:Name="EntryFullName" Margin="-5,-10,0,0"/>
                        
                        <Label Text="Email" TextColor="Black" HorizontalOptions="Start" FontAttributes="Bold" FontSize="15"/>
                        <Entry Text="{Binding Email}" Placeholder="Masukkan email" x:Name="EntryEmail" Margin="-5,-10,0,0" Keyboard="Email"/>
                        
                        <Label Text="Nomor HP" TextColor="Black" HorizontalOptions="Start" FontAttributes="Bold" FontSize="15"/>
                        <Entry Text="{Binding PhoneNum}" Placeholder="Masukkan nomor HP" x:Name="EntryPhone"  Margin="-5,-10,0,0" Keyboard="Telephone"/>
                        
                        <Label Text="Kata Sandi" TextColor="Black" HorizontalOptions="Start" FontAttributes="Bold" FontSize="15"/>
                        <StackLayout Orientation="Horizontal">
                            <Entry Placeholder="Buat kata sandi baru" x:Name="EntryPassword" Margin="-5,-10,0,0" HorizontalOptions="FillAndExpand"
                                   Text="{Binding Password}" IsPassword="{Binding Source={x:Reference ShowHideTogglePassword}, Path=HidePassword}"/>
                            <ImageButton VerticalOptions="Center" HorizontalOptions="End" Source="hide_icon.png">
                                <ImageButton.Triggers>
                                    <EventTrigger Event="Clicked">
                                        <utils:InterfaceAnimation ShowIcon="show_icon.png"
                                                              HideIcon="hide_icon.png"
                                                              x:Name="ShowHideTogglePassword"/>
                                    </EventTrigger>
                                </ImageButton.Triggers>
                            </ImageButton>
                        </StackLayout>
                        <Label Text="Konfirmasi Kata Sandi" TextColor="Black" HorizontalOptions="Start" FontAttributes="Bold" FontSize="15"/>
                        <StackLayout Orientation="Horizontal">
                            <Entry Placeholder="Konfirmasi kata sandi" x:Name="EntryConfirm" Margin="-5,-10,0,0"
                                   HorizontalOptions="FillAndExpand" IsPassword="{Binding Source={x:Reference ShowHideToggleConfirmPassword}, Path=HidePassword}"/>
                            <ImageButton VerticalOptions="Center" HorizontalOptions="End" Source="hide_icon.png">
                                <ImageButton.Triggers>
                                    <EventTrigger Event="Clicked">
                                        <utils:InterfaceAnimation ShowIcon="show_icon.png"
                                                              HideIcon="hide_icon.png"
                                                              x:Name="ShowHideToggleConfirmPassword"/>
                                    </EventTrigger>
                                </ImageButton.Triggers>
                            </ImageButton>
                        </StackLayout>
                        <Button Text="Buat Akun" CornerRadius="3" BackgroundColor="#007FFF" TextColor="White" x:Name="Register" Margin="0,10,0,10"
                                Command="{Binding SubmitCommand}"/>
                        <StackLayout Orientation="Horizontal" HorizontalOptions="Center">
                            <Label Text="Sudah punya akun?" TextColor="Black" FontSize="15"/>
                            <Label Text="Masuk" TextColor="Black" FontAttributes="Bold" x:Name="LoginLabel" FontSize="15"/>
                        </StackLayout>
                    </StackLayout>
                </ScrollView>
            </Frame>
        </Grid>
    </ContentPage.Content>
</ContentPage>